com.streambase.liveview.client

## Class LiveViewProperties.AlertActions

- java.lang.Object
- - com.streambase.liveview.client.LiveViewProperties.AlertActions

- Enclosing class:
    LiveViewProperties

      public static class LiveViewProperties.AlertActions
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DELETE_ACTION_ENABLED`
    `static boolean` | `EMAIL_ACTION_ENABLED`
    `static boolean` | `EXEC_JAVA_ACTION_ENABLED`
    `static boolean` | `EXEC_OS_ACTION_ENABLED` Each action type can be disabled independently using these properties.
    `static int` | `LIVEVIEW_ALERT_PUBLISH_BUFFER_SIZE` The buffer size for publishing to liveview tables, used in alert actions
    `static int` | `LIVEVIEW_ALERT_PUBLISH_FLUSH_INTERVAL_MS` The flush interval for publishing to liveview tables, used in alert actions
    `static int` | `LIVEVIEW_ALERT_SENDTUPLE_BUFFER_SIZE` Alert Send Tuple action's Buffer size
    `static int` | `LIVEVIEW_ALERT_SENDTUPLE_FLUSH_INTERVAL_MS` Alert Send Tuple Buffer size
    `static long` | `LV_ALERT_TABLE_AGE_OUT_MS` The number of milliseconds after the last fired time to leave the alert rule status line the LVAlertRuleStatus table
    `static boolean` | `LV_PUBLISH_ACTION_ENABLED`
    `static long` | `MAX_ACTION_RUNTIME` The maximum number of milliseconds publish alert and send tuple can run before the action is killed.
    `static long` | `MAX_DELETE_ACTION_RUNTIME` The maximum number of milliseconds an delete action can run before the action is killed.
    `static long` | `MAX_EMAIL_ACTION_RUNTIME` The maximum number of milliseconds an email send action can run before the action is killed.
    `static long` | `MAX_EXEC_ACTION_RUNTIME` The maximum number of milliseconds java and OS exec can run before the action is killed.
    `static boolean` | `PUBLISH_TUPLE_ACTION_ENABLED`
    `static boolean` | `SENDTUPLE_ACTION_ENABLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlertActions()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_ACTION_RUNTIME

          public static final long MAX_ACTION_RUNTIME

      The maximum number of milliseconds publish alert and send tuple can run before the action is killed.

    - #### MAX_EXEC_ACTION_RUNTIME

          public static final long MAX_EXEC_ACTION_RUNTIME

      The maximum number of milliseconds java and OS exec can run before the action is killed.

    - #### MAX_EMAIL_ACTION_RUNTIME

          public static final long MAX_EMAIL_ACTION_RUNTIME

      The maximum number of milliseconds an email send action can run before the action is killed.

    - #### MAX_DELETE_ACTION_RUNTIME

          public static final long MAX_DELETE_ACTION_RUNTIME

      The maximum number of milliseconds an delete action can run before the action is killed.

    - #### LV_ALERT_TABLE_AGE_OUT_MS

          public static final long LV_ALERT_TABLE_AGE_OUT_MS

      The number of milliseconds after the last fired time to leave the alert rule status line the LVAlertRuleStatus table

    - #### EXEC_OS_ACTION_ENABLED

          public static final boolean EXEC_OS_ACTION_ENABLED

      Each action type can be disabled independently using these properties.

    - #### EXEC_JAVA_ACTION_ENABLED

          public static final boolean EXEC_JAVA_ACTION_ENABLED

    - #### PUBLISH_TUPLE_ACTION_ENABLED

          public static final boolean PUBLISH_TUPLE_ACTION_ENABLED

    - #### SENDTUPLE_ACTION_ENABLED

          public static final boolean SENDTUPLE_ACTION_ENABLED

    - #### EMAIL_ACTION_ENABLED

          public static final boolean EMAIL_ACTION_ENABLED

    - #### DELETE_ACTION_ENABLED

          public static final boolean DELETE_ACTION_ENABLED

    - #### LV_PUBLISH_ACTION_ENABLED

          public static final boolean LV_PUBLISH_ACTION_ENABLED

    - #### LIVEVIEW_ALERT_PUBLISH_FLUSH_INTERVAL_MS

          public static final int LIVEVIEW_ALERT_PUBLISH_FLUSH_INTERVAL_MS

      The flush interval for publishing to liveview tables, used in alert actions

    - #### LIVEVIEW_ALERT_PUBLISH_BUFFER_SIZE

          public static final int LIVEVIEW_ALERT_PUBLISH_BUFFER_SIZE

      The buffer size for publishing to liveview tables, used in alert actions

    - #### LIVEVIEW_ALERT_SENDTUPLE_FLUSH_INTERVAL_MS

          public static final int LIVEVIEW_ALERT_SENDTUPLE_FLUSH_INTERVAL_MS

      Alert Send Tuple Buffer size

    - #### LIVEVIEW_ALERT_SENDTUPLE_BUFFER_SIZE

          public static final int LIVEVIEW_ALERT_SENDTUPLE_BUFFER_SIZE

      Alert Send Tuple action's Buffer size

  - ### Constructor Detail

    - #### AlertActions

          public AlertActions()

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.